Bug 28055 - Convert DataTables option names to current version
Summary: Convert DataTables option names to current version
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 28058
  Show dependency treegraph
 
Reported: 2021-03-30 12:22 UTC by Owen Leonard
Modified: 2021-04-19 09:46 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 28055: Convert DataTables option names to current version (4.98 KB, patch)
2021-03-30 13:34 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28055: Convert DataTables option names to current version (5.03 KB, patch)
2021-04-01 18:16 UTC, David Nind
Details | Diff | Splinter Review
Bug 28055: Convert DataTables option names to current version (5.09 KB, patch)
2021-04-03 15:03 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28055: (follow-up) Revert changes to aoColumnDefs option name (1.65 KB, patch)
2021-04-12 18:07 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-03-30 12:22:44 UTC
We use a mixture of DataTables option names, some from 1.9.x and some from the current 1.10.x. For consistency's sake and to guard against possible future obsolescence I think we should convert our use to 1.10.x style.
Comment 1 Owen Leonard 2021-03-30 13:34:04 UTC
Created attachment 119004 [details] [review]
Bug 28055: Convert DataTables option names to current version

This patch makes changes the two global DataTables files in the staff
interface, replacing older 1.9.x option names with the current 1.10.x
version.

To test, apply the patch and confirm that default DataTables behaviors
continue to work correctly: Table information, "Show XX entries"
controls, pagination, search.

- Test tables which use the default DataTables configuration from
  datatables.js:
  - Administration -> Z39.50/SRU servers
  - Administration -> MARC frameworks -> MARC structure
- Test tables which use the DataTables configuration in
  columns_settings.inc, including column visibility and export controls.
  - Administration -> Libraries
  - Patrons -> Patron search results
  - Circulation -> Holds queue
Comment 2 David Nind 2021-04-01 18:16:47 UTC
Created attachment 119086 [details] [review]
Bug 28055: Convert DataTables option names to current version

This patch makes changes the two global DataTables files in the staff
interface, replacing older 1.9.x option names with the current 1.10.x
version.

To test, apply the patch and confirm that default DataTables behaviors
continue to work correctly: Table information, "Show XX entries"
controls, pagination, search.

- Test tables which use the default DataTables configuration from
  datatables.js:
  - Administration -> Z39.50/SRU servers
  - Administration -> MARC frameworks -> MARC structure
- Test tables which use the DataTables configuration in
  columns_settings.inc, including column visibility and export controls.
  - Administration -> Libraries
  - Patrons -> Patron search results
  - Circulation -> Holds queue

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2021-04-03 15:03:42 UTC
Created attachment 119161 [details] [review]
Bug 28055: Convert DataTables option names to current version

This patch makes changes the two global DataTables files in the staff
interface, replacing older 1.9.x option names with the current 1.10.x
version.

To test, apply the patch and confirm that default DataTables behaviors
continue to work correctly: Table information, "Show XX entries"
controls, pagination, search.

- Test tables which use the default DataTables configuration from
  datatables.js:
  - Administration -> Z39.50/SRU servers
  - Administration -> MARC frameworks -> MARC structure
- Test tables which use the DataTables configuration in
  columns_settings.inc, including column visibility and export controls.
  - Administration -> Libraries
  - Patrons -> Patron search results
  - Circulation -> Holds queue

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-04-06 13:59:55 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 5 Owen Leonard 2021-04-12 18:07:28 UTC
Created attachment 119465 [details] [review]
Bug 28055: (follow-up) Revert changes to aoColumnDefs option name

This patch undoes changes to two lines in columns_settings.inc which
were triggering unwanted side-effects. There are several templates and
JavaScript files which use "aoColumnDefs" to pass options to columns
settings, and if we change this file without changing those at the same
time things will break.

When these lines are updated it must be done so at the same time as we
modify the templates which pass that same option.
Comment 6 Jonathan Druart 2021-04-14 08:06:04 UTC
Follow-up pushed to master.
Comment 7 Fridolin Somers 2021-04-19 09:46:38 UTC
Enhancement not pushed to 20.11.x